View Issue Details

IDProjectCategoryView StatusLast Update
0005199Multi Theft Auto : San AndreasScriptingpublic2010-07-02 15:35
ReporterTalidanAssigned ToFlobu 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.1Fixed in Version1.1 
Summary0005199: Replace irrklang with the BASS audio library
Description

Replacing the irrklang offers us several advantages, namely:

  • aac+ support
  • Support for all irrklang formats, and presumably wont crash when using formats such as .xm
  • Alternative 3D support that should work much better than the current audio library.
  • Sound streaming support (Shoutcast/Icecast). A feature much in demand.
TagsNo tags attached.

Relationships

parent of 0004955 closed MIDI files are not supported 
parent of 0004684 closed Request: Add a better pan/balance calculation for the 3D sound 
parent of 0005087 closed .xm Format audio appears to crash the game 
parent of 0004956 resolvedFlobu Music stops when not looped, on a 64 bit machine 

Activities

Maccer

2010-02-03 04:58

viewer   ~~0011039

I support this. It's really flexible and has plenty of effects.

Flobu

2010-02-05 07:49

updater   ~~0011042

Last edited: 2010-06-10 12:39

support this, too.

Added in a branch https://code.google.com/p/mtasa-blue/source/detail?r=1684

Reintegrated in https://code.google.com/p/mtasa-blue/source/detail?r=1755

Issue History

Date Modified Username Field Change